function fillDialogsSchemes(thy, rt) {
	thy.schemeSceneIntro = function() {
		rt.GCFG.optScene = 0;

		return [
			{ type: 1,
				engTxt: "“Again, a new battle is approaching, and we are in a life or death situation and Ichido-kun trains to take care of everything.”",
				espTxt: "“De nuevo se acerca una nueva batalla y nos vemos en una situación de vida o muerte y Ichido – kun entrena para hacerse cargo de todo.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I want to help him, so I ask Yorichy -san to help me train, however, things don’t go as I expected.”",
				espTxt: "“Yo quiero ayudarlo así que le pido ayuda a Yorichy – san para que me entrene, sin embargo, las cosas no salen como espero.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“¡Ahhhh!”",
				espTxt: "“¡Ahhhh!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“What are you waiting for?!, Is that all you can give?!”",
				espTxt: "“¡¿Qué estas esperando?!,¡¿Eso es todo lo que puedes dar?!”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.i.gotoAndStop(0);
					charToCenterFromLeft(thy.chars.i, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I’m sorry...”",
				espTxt: "“Lo lamento...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(4);
					charEnterLeft(thy.chars.i, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Stop apologizing for your head is somewhere else. Just tell me what happens to you.”",
				espTxt: "“Ya deja de disculparte, tu cabeza está en otro lado, solo dime que te sucede.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.i, thy.chars.i2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I am ashamed to say it out loud.”",
				espTxt: "“Me avergüenza decirlo en voz alta.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“If you want me to help you, you must first trust me.”",
				espTxt: "“Si deseas que te ayude, primero debes confiar en mí.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.i, thy.chars.i2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I was thinking of Ichido-kun. I think he is worried, and I want to help him.”",
				espTxt: "“Estaba pensando en Ichido- kun, creo que está preocupado y quiero ayudarlo.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 4, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“So it was that. You would have told me from the beginning, and I would have taught you something else.”",
				espTxt: "“Así que era eso, me lo hubieras dicho desde el principio y te hubiera enseñado otra cosa.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.i, thy.chars.i2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Eh... What thing?”",
				espTxt: "“Eh... ¿Qué cosa?”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Well, how do I explain it to you?”",
				espTxt: "“Bueno,¿Cómo te lo explico?”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.i, thy.chars.i2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“You better not tell her anything, she is a hollow head, and she will not understand.”",
				espTxt: "“Es mejor que no le digas nada, es una cabeza hueca y no va a entenderlo.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“¡Ranguku-san!”",
				espTxt: "“¡Ranguku-san!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Stop fooling around and tell us at once why you came?!”",
				espTxt: "“¡Ya déjate de tonterías y dinos de una vez para que viniste!”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.i, thy.chars.i2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I came to help my friend.”",
				espTxt: "“Vine a ayudar a mi amiga.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(0);
					charLeaveLeft(thy.chars.i, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Also, you need my help, with Orihime it is no good just to tell her things, you always have to be more direct, and show it with actions.”",
				espTxt: "“Además, necesitas mi ayuda, con Orihime no sirve solo decirles las cosas, siempre tienes que ser más directa y mostrárselo con acciones.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.showSceneOptions(thy.optionsSceneIntro, true)();
					});
				}
			}
		];
	}

	thy.optionsSceneIntro = function() {
		return [
			[thy.mcSelect.selector00, {
				engTxt: "I feel they are ignoring me.",
				espTxt: "Siento que me están ignorando.",
				funct: thy.afterOptionsDialogs(thy.schemeSceneIntroOption00)
			}],
			[thy.mcSelect.selector02, {
				engTxt: "I am confused about what they say.",
				espTxt: "Estoy confundida sobre lo que dicen.",
				funct: thy.afterOptionsDialogs(thy.schemeSceneIntroOption01)
			}],
			[thy.mcSelect.selector01, {
				engTxt: "I ask them about what happens.",
				espTxt: "Les pregunto sobre lo que pasa.",
				funct: thy.afterOptionsDialogs(thy.schemeSceneIntroOption02)
			}]
		];
	}

	thy.schemeSceneIntroOption00 = function() {
		return [
			{ type: 1,
				engTxt: "“Seeing how the two argue, I feel ignored and that I am not worth their effort.”",
				espTxt: "“Al ver como las dos discuten, me siento ignorada y que no valgo su esfuerzo.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I’m sorry, I know I don’t have enough strength to help Ichido-kun...”",
				espTxt: "“Lo siento, sé que no tengo la suficiente fuerza para ayudar a Ichido- kun...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(4);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I really regret having made them waste their time!”",
				espTxt: "“¡De verdad lamento haberles hecho que perdieran su tiempo!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 6, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“This girl didn’t even let us explain.”",
				espTxt: "“Esta chica, ni siquiera nos dejó explicar.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charToCenterFromRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Leave her, trust in herself is something we can’t give her. Hopefully, she finds it on her own.”",
				espTxt: "“Déjala, la confianza en ella misma es algo que no podemos darle, esperemos que la encuentre por su cuenta.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.showSceneOptions(thy.optionsSceneIntro, false)();
					});
				}
			}
		];
	}

	thy.schemeSceneIntroOption01 = function() {
		return [
			{ type: 1,
				engTxt: "“I try to follow the conversation, but the more I try, the less I understand.”",
				espTxt: "“Trato de seguir la conversación de ambas, pero entre más me esfuerzo menos entiendo...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“...”",
				espTxt: "“...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(3);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“You don’t understand, right?”",
				espTxt: "“No entiende,¿Cierto?”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charToCenterFromRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I told you that she has a bird’s head. She is a lost cause.”",
				espTxt: "“Te dije que tiene cabeza de pájaro... es un caso perdido.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(0);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Well, we have no other than to say it directly...”",
				espTxt: "“Bueno, al parecer no tenemos de otra que decirlo directamente...”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I think that what Ichido needs has nothing to do with your training. Sex is a very good option to lift his spirits.”",
				espTxt: "“Creo que lo que Ichido necesita no tiene nada que ver con tu entrenamiento... el sexo es una muy buena opción para levantarle el ánimo.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I see... . So, what should I do?”",
				espTxt: "“Ya veo... .¿Entonces que debería hacer?”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 3, 480);
					charLeaveRight(thy.chars.d, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I don’t know why nature gave you big breasts if you don’t know how to use them... I explain it to you.”",
				espTxt: "“No sé porque la naturaleza te dio pechos grandes si no sabes usarlos... Yo te explico.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“If you learn a sexual movement and practice it with Ichido, you will make him very happy. I guarantee that.”",
				espTxt: "“Si aprendes un movimiento sexual y los practicas con Ichido lo harás muy feliz, eso te lo garantizo.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Don’t worry, we’ll show you how to have sex. Just watch carefully.”",
				espTxt: "“No te preocupes, te mostraremos como tener sexo. Solo observa con atención.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(2);
					charLeaveRight(thy.chars.o, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie00");
					});
				}
			}
		];
	}

	thy.schemeSceneIntroOption02 = function() {
		return [
			{ type: 1,
				engTxt: "“I am very confused, but I am willing to do whatever is necessary for Ichido-kun.”",
				espTxt: "“En realidad, estoy muy confundida, pero estoy dispuesta a hacer lo que sea necesario por Ichido – kun.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Excuse me, could you explain to me what you mean?”",
				espTxt: "“Disculpen,¿Podrían explicarme a que se refieren?”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(5);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It’s amazing that you don’t understand...”",
				espTxt: "“Es increíble que no entiendas...”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charLeaveRight(thy.chars.o, 320);
					charToCenterFromRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I told you that she has a bird’s head. She is a lost cause.”",
				espTxt: "“Te dije que tiene cabeza de pájaro... es un caso perdido.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(0);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Well, we have no other than to say it directly...”",
				espTxt: "“Bueno, al parecer no tenemos de otra que decirlo directamente...”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I think that what Ichido needs has nothing to do with your training. Sex is a very good option to lift his spirits.”",
				espTxt: "“Creo que lo que Ichido necesita no tiene nada que ver con tu entrenamiento... el sexo es una muy buena opción para levantarle el ánimo.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I see... . So, what should I do?”",
				espTxt: "“Ya veo... .¿Entonces que debería hacer?”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(3);
					charLeaveRight(thy.chars.d, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I don’t know why nature gave you big breasts if you don’t know how to use them... I explain it to you.”",
				espTxt: "“No sé porque la naturaleza te dio pechos grandes si no sabes usarlos... Yo te explico.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“If you learn a sexual movement and practice it with Ichido, you will make him very happy. I guarantee that.”",
				espTxt: "“Si aprendes un movimiento sexual y los practicas con Ichido lo harás muy feliz, eso te lo garantizo.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Don’t worry, we’ll show you how to have sex. Just watch carefully.”",
				espTxt: "“No te preocupes, te mostrarnos como hacerlo. Solo observa con atención.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(2);
					charLeaveRight(thy.chars.o, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie00");
					});
				}
			}
		];
	}

	thy.schemeScene00 = function() {
		return [
			{ type: 1,
				engTxt: "“...”",
				espTxt: "“...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(0);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“We leave her speechless! Her reaction is more fun than Ichido’s.”",
				espTxt: "“¡Al parecer la dejamos sin palabras!, su reacción es más divertida que la de Ichido.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(2);
					charToCenterFromLeft(thy.chars.m, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I see that he is still very young for these matters, maybe we should stop here.”",
				espTxt: "“Veo que aún es muy joven para estos asuntos, tal vez deberíamos parar aquí.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(2);
					charEnterLeft(thy.chars.m, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I don’t want to force her to do something she isn’t capable of.”",
				espTxt: "“No quiero obligarla a hacer algo de lo que no es capaz.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.showSceneOptions(thy.optionsScene00, true)();
					});
				}
			}
		];
	}

	thy.optionsScene00 = function() {
		return [
			[thy.mcSelect.selector01, {
				engTxt: "I am very embarrassed.",
				espTxt: "Estoy muy avergonzada.",
				funct: thy.afterOptionsDialogs(thy.schemeScene00Option00)
			}],
			[thy.mcSelect.selector02, {
				engTxt: "I’m confused.",
				espTxt: "Estoy confundida.",
				funct: thy.afterOptionsDialogs(thy.schemeScene00Option01)
			}],
			[thy.mcSelect.selector00, {
				engTxt: "I decide to continue.",
				espTxt: "Decido continuar.",
				funct: thy.afterOptionsDialogs(thy.schemeScene00Option02)
			}]
		];
	}

	thy.schemeScene00Option00 = function() {
		return [
			{ type: 1,
				engTxt: "“My brain seems to collapse after what I just saw... I can’t even look at them after that.”",
				espTxt: "“Mi cerebro parece colapsar luego de lo que acabo de ver... ni siquiera me atrevo a mirarlas...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Sorry, Sorry! But I can’t stay anymore...”",
				espTxt: "“¡Lo siento!,¡Lo siento!, pero no puedo quedarme más...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(6);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“I think she’s not ready yet.”",
				espTxt: "“Creo que no está lista todavía.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charToCenterFromRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Yes, in the end, this is adult stuff.”",
				espTxt: "“Si, al final esto son cosas de adulto.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.showSceneOptions(thy.optionsScene00, false)();
					});
				}
			}
		];
	}

	thy.schemeScene00Option01 = function() {
		return [
			{ type: 1,
				engTxt: "“I try to process what I am seeing, and I cannot do anything but blush about it, but I want to learn everything I can.”",
				espTxt: "“Trato de procesar lo que estoy viendo y no puedo hacer otra cosa que sonrojarme sobre ello, pero deseo aprender todo lo que me sea posible.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“...”",
				espTxt: "“...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(3);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“You’re really hopeless...”",
				espTxt: "“De verdad que eres caso perdido...”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.i.gotoAndStop(3);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.i, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It doesn’t matter, I already told you that Orugime is the type that needs more direct experiences to understand.”",
				espTxt: "“No importa, Orugime es del tipo que necesita sensaciones más directas para poder comprender.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charLeaveLeft(thy.chars.i, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I think you’re right. We shouldn’t waste more time explaining.”",
				espTxt: "“Creo que tienes razón, no deberíamos perder más tiempo explicando, es mejor comenzar de una vez.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charLeaveRight(thy.chars.o, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It’s better to start at once.”",
				espTxt: "“Es mejor comenzar de una vez.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Well, it will be my honor to make my little Orugime a woman.”",
				espTxt: "“Bueno, será mi honor hacer que mi pequeña Orugime se convierta en mujer.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(3);
					charToCenterFromLeft(thy.chars.m, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“What’s happening? What do you do Ranguku - San? Ah...”",
				espTxt: "“¿Qué es lo que sucede?,¿Qué es lo que haces Ranguku – San?¡Ah... !”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(6);
					charEnterLeft(thy.chars.m, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie01");
					});
				}
			}
		];
	}

	thy.schemeScene00Option02 = function() {
		return [
			{ type: 1,
				engTxt: "“Although what the two do is embarrassing to me, I know they are looking for the best for me, so I try to collect any valuable information about the act.”",
				espTxt: "“Pese a que lo que hacen las dos me resulta vergonzoso, sé que buscan lo mejor para mí, así que trato de recaudar cualquier información valiosa del acto.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Have you understood what you must do?”",
				espTxt: "“¿Ya entendiste qué es lo que tienes que hacer?”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.i.gotoAndStop(1);
					charToCenterFromLeft(thy.chars.i, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I think so, but they are very strange massages.”",
				espTxt: "“Creo que sí, pero son unos masajes muy extraños.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(5);
					charEnterLeft(thy.chars.i, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“You’re really hopeless...”",
				espTxt: "“De verdad que eres caso perdido...”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.i.gotoAndStop(3);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.i, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It doesn’t matter, I already told you that Orugime is the type that needs more direct experiences to understand.”",
				espTxt: "“No importa, Orugime es del tipo que necesita sensaciones más directas para poder comprender.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charLeaveLeft(thy.chars.i, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I think you’re right. We shouldn’t waste more time explaining.”",
				espTxt: "“Creo que tienes razón, no deberíamos perder más tiempo explicando, es mejor comenzar de una vez.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charLeaveRight(thy.chars.o, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It’s better to start at once.”",
				espTxt: "“Es mejor comenzar de una vez.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Well, it will be my honor to make my little Orugime a woman.”",
				espTxt: "“Bueno, será mi honor hacer que mi pequeña Orugime se convierta en mujer.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(3);
					charToCenterFromLeft(thy.chars.m, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“What’s happening? What do you do Ranguku - San? Ah...”",
				espTxt: "“¿Qué es lo que sucede?,¿Qué es lo que haces Ranguku – San?¡Ah... !”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(6);
					charEnterLeft(thy.chars.m, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie01");
					});
				}
			}
		];
	}

	thy.schemeScene01 = function() {
		return [
			{ type: 1,
				engTxt: "“That massage felt very good! When I see Ichido - kun, I will do the same to him. I know he will feel great.”",
				espTxt: "“¡Ese masaje se sintió muy bien!, cuando vea a Ichido-kun le haré lo mismo, sé que sentirá genial.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(1);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“This is how it should be spoken! Do your best. We will be there; in case you need us.”",
				espTxt: "“¡Así es como debe hablarse! haz tu mejor esfuerzo, estaremos ahí por si nos necesitas.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Thanks, Ranguku- san! Yorichy- san! I will do everything I can to not disappoint you.”",
				espTxt: "“¡Gracias Ranguku- san! Yoruichi - san!, haré todo lo que pueda para no decepcionarlas.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“See you!”",
				espTxt: "“¡Nos vemos!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 6, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320);
					charToCenterFromLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Why I think this is a bad idea.”",
				espTxt: "“Por qué creo que esto es una mala idea.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charEnterLeft(thy.chars.m, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Relax, I know that you are also dying to see Ichido’s face with all this.”",
				espTxt: "“Relájate, yo sé que tú también te mueres por ver la cara de Ichido con todo esto.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“True, Ichido always reacts in an interestingly way.”",
				espTxt: "“Es cierto, además Ichido siempre reacciona de forma interesante.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 2, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.backs.gotoAndStop(2);
					});
				}
			},
			{ type: 1,
				engTxt: "“After searching for Ichido - kun everywhere, he finally found him in the special training camp.”",
				espTxt: "“Luego de buscar a Ichido – kun por todos lados, por fin lo encontró en el campo especial de entrenamiento.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“¡AHHHHH!”",
				espTxt: "“¡AHHHHH!”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Damn! I can’t do it.”",
				espTxt: "“¡Maldición!, no logro hacerlo.”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.c.gotoAndStop(0);
					charToCenterFromLeft(thy.chars.c, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Ichido-kun! I finally find you.”",
				espTxt: "“¡Ichido–kun!, por fin te encuentro.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(1);
					charEnterLeft(thy.chars.c, 320);
					charEnterRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It’s you, Inobe.”",
				espTxt: "“Eres tú, Inobe.”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I’m sorry, I didn’t want to interrupt you. I was looking for you.”",
				espTxt: "“Lo siento, no quería interrumpirte, te estaba buscando.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Why were you looking for me?”",
				espTxt: "“¿Por qué me estabas buscándome?”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Oh yes, I learned several tricks to make you feel better since I wanted to help you, so let me explain to you what it is about...”",
				espTxt: "“Ah sí, es que aprendí varios trucos para hacerte sentir mejor, déjame yo te explico...”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 2, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I tell Ichido-kun with luxuries of detail everything I learned, but the reaction of him is not what I expected.”",
				espTxt: "“Le relato a Ichido- kun con lujos de detalles todo lo que aprendí, pero al parecer la reacción de este no es lo que esperaba.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 4, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“That’s sex! That’s no massage! It’s something you can’t do with anyone... I don’t know what the hell those two have been teaching you, but when I see them...”",
				espTxt: "“¡Eso es sexo!,¡Eso no es ningún masaje!, es algo que no se puede hacer con cualquiera... no sé qué demonios te han estado enseñando esas dos, pero cuando las vea...”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“What do you plan to do when you see us?”",
				espTxt: "“¿Qué piensas hacer cuando nos veas?”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Ranguku – san! Yorichy– san!”",
				espTxt: "“¡Ranguku – san!,¡Yoruichi – san!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“What the hell did you teach Inobe?”",
				espTxt: "“¿Qué demonios le enseñaron a Inobe?”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.c, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Nothing from the other world, she just wanted to learn how to make you feel good, and we taught her that.”",
				espTxt: "“Nada del otro mundo, solo quería aprender cómo hacerte sentir bien y eso le enseñamos.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(2);
					thy.chars.m.gotoAndStop(0);
					charEnterLeft(thy.chars.m, 320);
					charEnterRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“You should thank us instead of recriminating us. We didn’t do anything wrong.”",
				espTxt: "“Deberías agradecérnoslo en vez de estar reprochándolo, no hicimos nada malo.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“But I think what we taught her was not enough, so this time Ichido needs to help us with the lesson.”",
				espTxt: "“Pero creo no fue suficiente lo que le mostramos, por eso esta vez Ichido necesita ayudarnos con la lección.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“True, this girl only learns with direct practice. So Ichido, I’m counting on you for this demonstration.”",
				espTxt: "“Es cierto, esta chica solo aprende con la practica directa... . Así que Ichido, cuento contigo para esta demostración.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charToCenterFromRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Hey Yorichy!... What are you doing? Let me go!...”",
				espTxt: "“¡Hey Yorichy!... ¡Que estás haciendo!,¡Suéltame!...”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.c.gotoAndStop(3);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.c, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.c, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“¡Ichido – kun!”",
				espTxt: "“¡Ichido – kun!”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(6);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Do not worry, and just decide the technique you want us to teach you. I guarantee that in the end, Ichido will be very grateful for it.”",
				espTxt: "“No te preocupes y solo decide la técnica deseas que te enseñemos, te garantizo que al final Ichido estará muy agradecido por ello.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.showSceneOptions(thy.optionsScene01, true)();
					});
				}
			}
		];
	}

	thy.optionsScene01 = function() {
		return [
			[thy.mcSelect.selector02, {
				engTxt: "I choose the technique of Yorichy-san",
				espTxt: "Elijo la técnica de Yorichy-san.",
				funct: thy.afterOptionsDialogs(thy.schemeScene01Option00)
			}],
			[thy.mcSelect.selector01, {
				engTxt: "I choose the technique of Ranguku-san",
				espTxt: "Elijo la técnica de Ranguku–san.",
				funct: thy.afterOptionsDialogs(thy.schemeScene01Option01)
			}],
			[thy.mcSelect.selector00, {
				engTxt: "I decide to put into practice what I have learned.",
				espTxt: "Decido poner en práctica lo que he aprendido.",
				funct: thy.afterOptionsDialogs(thy.schemeScene01Option02)
			}]
		];
	}

	thy.schemeScene01Option00 = function() {
		return [
			{ type: 1,
				engTxt: "“I think Yorichy- san is very good at teaching, although, I just hope Ichido - kun doesn’t bother”",
				espTxt: "“Creo que Yorichy– san es muy buena enseñando, aunque solo espero que Ichido– kun se no se moleste.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(0);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It is an excellent choice! I think Yorichy will be happy to show you everything you need to know about this technique.”",
				espTxt: "“¡Es una excelente elección!, creo que Yorichy estará feliz de enseñarte todo lo que necesitas saber sobre está técnica.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(2);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“And don’t worry about Ichido, he’s just a little dishonest with his feelings, but I know he’ll like it.”",
				espTxt: "“Y no te preocupes que Ichido solo es un poco deshonesto con sus sentimientos, pero sé que le gustará.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie02");
					});
				}
			}
		];
	}

	thy.schemeScene01Option01 = function() {
		return [
			{ type: 1,
				engTxt: "“I want Ranguku - san to be the one to teach me.”",
				espTxt: "“Me gustaría que Ranguku – san sea quien me enseñe.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(0);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I love that you chose me!”",
				espTxt: "“¡Me encanta que me hayas elegido!”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(0);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I know you won’t regret it, there are many tricks that I can teach you.”",
				espTxt: "“Se que no te arrepentirás, hay muchos trucos que puedo enseñarte.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie03");
					});
				}
			}
		];
	}

	thy.schemeScene01Option02 = function() {
		return [
			{ type: 1,
				engTxt: "“I am very happy that you want to teach me, but I also want to learn on my own.”",
				espTxt: "“Estoy muy feliz que me enseñen, pero yo también quiero aprender por mi cuenta.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(0);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“That is excellent! Then we will let you be the one to put everything we have taught you into practice.”",
				espTxt: "“¡Eso es excelente!, entonces dejaremos que tu seas la que pongas todo lo que te hemos enseñado en práctica.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(0);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“I know you will have fun...”",
				espTxt: "“Se que te divertirás...”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(3);
					charWait(thy, 100, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblMovie04");
					});
				}
			}
		];
	}

	thy.schemeScenePostOption = function() {
		rt.GCFG.optScene += 1;
		if(rt.GCFG.optScene == 1)
			return [
				{ type: 1,
					engTxt: "“That was cool! now what's next?”",
					espTxt: "“Eso estuvo genial, ¿Ahora qué sigue?”",
					engTag: "Orugime",
					espTag: "Orugime",
					fn: function(fnCallback) {
						thy.EA.turnOffAllEvents("click");
						charWait(thy, 100, function(){
							thy.EA.turnOnAllEvents("click");
							fnCallback();
						});
					},
					cllbck: thy.showSceneOptions(thy.optionsScene01, false)
				}
			];
		if(rt.GCFG.optScene == 2)
			return [
				{ type: 1,
					engTxt: "“It's very funny, I can't wait for the next one.”",
					espTxt: "“Es muy divertido, no puedo esperar a la proxima.”",
					engTag: "Orugime",
					espTag: "Orugime",
					fn: function(fnCallback) {
						thy.EA.turnOffAllEvents("click");
						charWait(thy, 100, function(){
							thy.EA.turnOnAllEvents("click");
							fnCallback();
						});
					},
					cllbck: thy.showSceneOptions(thy.optionsScene01, false)
				}
			];
		if(rt.GCFG.optScene >= 3)
			return thy.schemeSceneEnd();
	}

	thy.schemeSceneEnd = function() {
		return [
			{ type: 1,
				engTxt: "“Sex is great! I never thought I would learn something so interesting.”",
				espTxt: "“¡El sexo es genial! jamás pensé que aprendería algo tan interesante.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.o.gotoAndStop(1);
					charToCenterFromRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“...”",
				espTxt: "“...”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.c.gotoAndStop(1);
					charEnterRight(thy.chars.o, 320);
					charEnterLeft(thy.chars.c, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Thank you very much, Yorichy - san and Ranguku- san, I will make sure to put everything they taught me into practice when Ichido - kun needs it.”",
				espTxt: "“Muchas gracias, Yorichy– san y Ranguku- san, me aseguraré de poner todo lo que me enseñaron en práctica cuando Ichido lo necesite.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“...”",
				espTxt: "“...”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 4, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Let’s go...”",
				espTxt: "“Vámonos...”",
				engTag: "Ichido",
				espTag: "Ichido",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.c, thy.chars.c2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.c, 320);
					charToCenterFromRight(thy.chars.o, 340, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“Wait for me Ichido-kun! See you later.”",
				espTxt: "“¡Espérame Ichido- kun!, nos vemos luego.”",
				engTag: "Orugime",
				espTag: "Orugime",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.o, thy.chars.o2, 6, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveRight(thy.chars.o, 320, function(){
						thy.EA.turnOnAllEvents("click");
					});
				}
			},
			{ type: 1,
				engTxt: "“He is still upset.”",
				espTxt: "“Al parecer todavía está molesto.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.d.gotoAndStop(3);
					charToCenterFromRight(thy.chars.d, 320, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“With his personality, I’m still surprised that we left without a scratch. I don’t know what you did to convince him to participate in this.”",
				espTxt: "“Con su personalidad, aun me sorprende que hayamos salido sin un rasguño... no sé qué hiciste para convencerlo para que participara en esto.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					thy.chars.m.gotoAndStop(1);
					charEnterRight(thy.chars.d, 320);
					charEnterLeft(thy.chars.m, 340, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It wasn’t that hard to convince him. I just told him that if he didn’t accept, Orugime would feel bad and never want to see him again.”",
				espTxt: "“En realidad, no fue tan difícil convencerlo, solo le dije que si no aceptaba posiblemente Orugime se sentiría mal y no querría verlo jamás.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Besides, it was convenient for him to follow the game since he knew that he also wanted to be with her.”",
				espTxt: "“Además, le convenia seguir el juego, ya que sabía que él también quería estar con ella.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 2, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It wouldn’t have occurred to me to bribe him that way.”",
				espTxt: "“Ni a mí se me hubiera ocurrido sobornarlo de esa manera.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 1, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Besides, he has nothing to complain about, Orugime will provide him with free sexual service every time he says he is sad.”",
				espTxt: "“Además, no tiene nada de que quejarse, Orugime le prestará el servicio sexual gratuito cada vez que diga que diga que está triste.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“You’re right. Those two needed a push.”",
				espTxt: "“Tienes razón esos dos necesitaban un empujón.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 3, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“It is better that you return to work, or I will complain about your performance with Captain Hitsudaya.”",
				espTxt: "“Es mejor que regreses a trabajar o me quejaré de tu rendimiento con el capitán Hitsudaya.”",
				engTag: "Yorichy",
				espTag: "Yorichy",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.d, thy.chars.d2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {}
			},
			{ type: 1,
				engTxt: "“Why I had forgotten that you are a party pooper.”",
				espTxt: "“Por qué se me había olvidado de que eres una aguafiestas.”",
				engTag: "Matsumotsu",
				espTag: "Matsumotsu",
				fn: function(fnCallback) {
					thy.EA.turnOffAllEvents("click");
					charPoseChange(thy.chars.m, thy.chars.m2, 0, 480, function(){
						thy.EA.turnOnAllEvents("click");
						fnCallback();
					});
				},
				cllbck: function() {
					thy.EA.turnOffAllEvents("click");
					charLeaveLeft(thy.chars.m, 320);
					charLeaveRight(thy.chars.d, 340, function(){
						thy.EA.turnOnAllEvents("click");

						thy.EA.turnOffEventsOfGroup("lblDialogs");
						thy.gotoAndStop("lblGameOver");
					});
				}
			}
		];
	}
}
